<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @package WordPress
 * @subpackage Crowdngo
 * @since Crowdngo 1.0
 */
/*
*Template Name: 404 Page
*/
get_header();
crowdngo_render_breadcrumbs();
$icon = crowdngo_get_config('icon-img');
?>
<section class="page-404">
	<div id="main-container" class="inner">
		<div id="main-content" class="main-page">
			<section class="error-404 not-found clearfix">
				<div class="container">
					<div class="row">
						<div class="col-md-12 col-xs-12 text-center">
							<div class="slogan">
								<?php if(!empty(crowdngo_get_config('404_title', 'page not found')) ) { ?>
									<h4 class="title-big"><?php echo wp_kses_post(crowdngo_get_config('404_title', 'page not found')); ?></h4>
								<?php } ?>
							</div>
							<div class="page-content">
								<div class="description">
									<?php echo wp_kses_post(crowdngo_get_config('404_description', 'It looks like nothing was found at this location. Maybe try a search?')); ?>									
								</div>
								<div class="return">
									<a class="btn" href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php echo esc_html__('Go to homepage','crowdngo') ?></a>
								</div>
							</div><!-- .page-content -->
						</div>
					</div>
				</div>
			</section><!-- .error-404 -->
		</div><!-- .content-area -->
	</div>
</section>
<?php get_footer(); ?>