<?php
/**
 * The template for displaying form content in the single-give-form.php template
 *
 * Override this template by copying it to yourtheme/give/single-give-form/content-single-give-form.php
 *
 * @package       Give/Templates
 * @version       1.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

/**
 * Fires in single form template, before the form.
 *
 * Allows you to add elements before the form.
 *
 * @since 1.0
 */
do_action( 'give_before_single_form' );

if ( post_password_required() ) {
	echo get_the_password_form();
	return;
}
?>

	<div id="give-form-<?php the_ID(); ?>-content" <?php post_class(); ?>>

		<?php
		//add_action( 'give_pre_form_output', 'give_form_content', 10, 2 );
		/**
		 * Fires in single form template, before the form summary.
		 *
		 * Allows you to add elements before the form summary.
		 *
		 * @since 1.0
		 */
		//do_action( 'give_before_single_form_summary' );
		?>

		<div class="<?php echo apply_filters( 'give_forms_single_summary_classes', 'summary entry-summary' ); ?>">
			<div class="top-info-give">

				<?php
				/**
				 * Image
				*/
				add_action( 'crowdngo_give_single_image', 'give_show_form_images', 10 );
				do_action( 'crowdngo_give_single_image' );
				?>

				

				
			</div>
			
			<div class="give-form-content-wrap">
				<?php
					add_action( 'crowdngo_give_single_title', 'give_template_single_title', 6 );
					do_action( 'crowdngo_give_single_title' );
				?>

				<?php give_show_goal_progress( get_the_ID() ); ?>
				
				<?php
				/**
				 * Fires in single form template, to the form summary.
				 *
				 * Allows you to add elements to the form summary.
				 *
				 * @since 1.0
				 */
				remove_action( 'give_pre_form_output', 'give_form_content', 10, 2 );
				remove_action( 'give_single_form_summary', 'give_template_single_title', 5 );

				do_action( 'give_single_form_summary' );
				?>

				<div class="give-single-meta">
                    <span class="entry-date"><?php the_time( get_option('date_format', 'M d, Y') ); ?></span>
	                <span class="entry-comments"><?php comments_number( esc_html__('0 Comments', 'crowdngo'), esc_html__('1 Comment', 'crowdngo'), esc_html__('% Comments', 'crowdngo') ); ?></span>
	                <?php
                        printf( '<span class="post-author">Post by: %1$s</span>', get_the_author() );
                    ?>
				</div>
				<?php
					$content = get_post_meta( get_the_ID(), '_give_form_content', true );
					echo apply_filters( 'the_content', $content );
				?>
				<?php
				if (crowdngo_get_config('show_donation_social_share', 1)) {
					get_template_part( 'page-templates/parts/sharebox' );
				}
				?>

				<?php get_template_part( 'page-templates/author-bio-give' ); ?>
				
				<?php
				if (crowdngo_get_config('show_donation_releated', 1)) {
					get_template_part( 'page-templates/parts/donation-releated' );
				}
				?>
			</div>
			
		</div>
		<!-- .summary -->

		<?php
		/**
		 * Fires in single form template, after the form summary.
		 *
		 * Allows you to add elements after the form summary.
		 *
		 * @since 1.0
		 */
		do_action( 'give_after_single_form_summary' );
		?>
		<?php
			comments_template();
		?>
	</div><!-- #give-form-<?php the_ID(); ?> -->

<?php
/**
 * Fires in single form template, after the form.
 *
 * Allows you to add elements after the form.
 *
 * @since 1.0
 */
do_action( 'give_after_single_form' );
?>