<div id="apus-header-mobile" class="header-mobile hidden-lg clearfix">            
    <div class="flex-middle header-mobile-flex">
        <div class="header-mobile-left">
            <?php
                $logo = crowdngo_get_config('media-mobile-logo');
            ?>
            <?php if( isset($logo['url']) && !empty($logo['url']) ): ?>
                <div class="logo">
                    <a href="<?php echo esc_url( home_url( '/' ) ); ?>" >
                        <img src="<?php echo esc_url( $logo['url'] ); ?>" alt="<?php bloginfo( 'name' ); ?>">
                    </a>
                </div>
            <?php else: ?>
                <div class="logo logo-theme">
                    <a href="<?php echo esc_url( home_url( '/' ) ); ?>" >
                        <img src="<?php echo esc_url_raw( get_template_directory_uri().'/images/logo.png'); ?>" alt="<?php bloginfo( 'name' ); ?>">
                    </a>
                </div>
            <?php endif; ?>
        </div>                            
        <div class="header-mobile-right flex-right">
            <div class="flex-float-right">                        
                <?php
                    if ( crowdngo_get_config('show_login_register', true) ) {
                        if ( is_user_logged_in() ) {
                            $user_id = get_current_user_id();
                            $user = get_userdata( $user_id );
                        ?>
                            <?php if( has_nav_menu( 'my-account' ) ) { ?>
                                <div class="top-wrapper-menu">
                                    <div class="profile-menus flex-middle clearfix">
                                        <div class="profile-avarta"><?php echo get_avatar($user_id, 32); ?></div>
                                        <div class="profile-info">
                                            <span><?php echo esc_html($user->data->display_name); ?></span>
                                            <span class="fa fa-angle-down"></span>
                                        </div>
                                    </div>
                                    <div class="user-account">
                                        <ul class="user-log">
                                            
                                            <?php
                                                $args = array(
                                                    'theme_location' => 'my-account',
                                                    'container' => false,
                                                    'menu_class' => 'list-line',
                                                    'fallback_cb'     => false,
                                                    'walker' => new Crowdngo_Nav_Menu(),
                                                    'items_wrap' => '%3$s',
                                                );
                                                wp_nav_menu($args);
                                            ?>

                                            <li class="last"><a href="<?php echo esc_url(wp_logout_url(home_url('/'))); ?>"><?php esc_html_e('Log out ','crowdngo'); ?></a></li>
                                        </ul>
                                    </div>
                                </div>
                            <?php } ?>
                        <?php } else { ?>
                            <div class="top-wrapper-menu">
                                <div class="profile-menus flex-middle clearfix">
                                    <div class="profile-info pull-left">
                                        <span class="fa fa-angle-down"></span>
                                    </div>
                                </div>
                                <div class="user-account">
                                    <ul class="user-log">
                                        <li><a href="#apus_login_forgot_tab" class="apus-user-login wel-user"><?php esc_html_e( 'Login', 'crowdngo' ); ?></a></li>
                                        <li><a href="#apus_register_tab" class="apus-user-register wel-user"><?php esc_html_e( 'Register', 'crowdngo' ); ?></a></li>
                                    </ul>
                                </div>
                            </div>
                        <?php }
                    }
                ?>
                <div class="box-search">                    
                    <?php if ( crowdngo_get_config('show_searchform') ): ?>
                        <a href="#" class="btn btn-search-icon"></a>   
                        <div class="clearfix search-mobile">
                            <?php get_template_part( 'template-parts/searchform' ); ?>
                        </div>
                    <?php endif; ?>
                </div>                                             
                <div class="box-left">
                    <a href="#navbar-offcanvas" class="btn btn-showmenu">
                        <span></span>
                        <span></span>
                        <span></span>
                    </a>                            
                </div>                                             
            </div>                  
        </div>                
    </div>            
</div>