<?php
if ( !function_exists ('crowdngo_custom_styles') ) {
	function crowdngo_custom_styles() {
		global $post;	
		
		ob_start();	
		?>
		
			<?php
				$main_font = crowdngo_get_config('main_font');
				$main_font = isset($main_font['font-family']) ? $main_font['font-family'] : false;
			?>
			<?php if ( $main_font ): ?>
				/* Main Font */
				body
				{
					font-family: 
					<?php echo '\'' . $main_font . '\','; ?> 
					sans-serif;
				}
			<?php endif; ?>
			
			<?php
				$heading_font = crowdngo_get_config('heading_font');
				$heading_font = isset($heading_font['font-family']) ? $heading_font['font-family'] : false;
			?>
			<?php if ( $heading_font ): ?>
				/* Heading Font */
				h1, h2, h3, h4, h5, h6, .widget-title,.widgettitle
				{
					font-family:  <?php echo '\'' . $heading_font . '\','; ?> sans-serif;
				}			
			<?php endif; ?>


			<?php if ( crowdngo_get_config('main_color') != "" ) : ?>
				/* seting background main */
				.bg-theme,
				.wel-user:hover,
				.give-btn,
				.btn-theme, .viewmore-products-btn,
				.btn-theme:hover,
				.btn-theme:active,
				.btn-theme:focus,				
				.add-fix-top,
				#respond .title:after,
				.viewmore-products-btn:hover,
				.viewmore-products-btn:active,
				.viewmore-products-btn:focus,					
				.min-contact-form .title:after,				
				.apus-header-custom-toplink .custom-toplink-btn:after,
				.crowdngo-heading-title:after,
				.give-panel .give-panel-title a:hover,
				.give-panel .give-panel-title a:focus,
				.give-panel .give-panel-title a:active,
				.give-grid .give-image .image-wrapper a:before,
				.apus_login_register_form .mfp-close,
				.widget-features-box .features-box-image:before,
				.btn.btn-donate, .btn-donate.viewmore-products-btn,
				.event-grid .startdate div.day:after,
				.button, button, input[type="button"], input[type="reset"], input[type="submit"],
				.apus-heading-style3 .elementor-heading-title:before,
				.apus-heading-style6 .elementor-heading-title:before,				
				.apus-heading-style2 .elementor-heading-title:before,
				.apus-heading-cta .elementor-heading-title:after,
				.event-list-small .event-listing .event-post-date .startdate .day:after,				
				.main-menu.main-menu-2 .megamenu > li.active > a:after,				
				.event-grid .event-thumb .entry-thumb .post-thumbnail .image-wrapper:before,
				.apus-header .apus-search-form form .btn:hover, .apus-header .apus-search-form form .viewmore-products-btn:hover,				
				.apus-header .apus-search-form form .btn:focus, .apus-header .apus-search-form form .viewmore-products-btn:focus,
				.apus-header .apus-search-form form .btn:active, .apus-header .apus-search-form form .viewmore-products-btn:active,					
				.sidebar .widget-search .form-control, .apus-sidebar .widget-search .form-control,
				.slick-carousel .slick-dots li.slick-active button,
				.give-modal .mfp-content .mfp-close,
				.give-modal .mfp-content .mfp-close:hover,
				.give-modal .mfp-content .mfp-close:focus,
				.give-modal .mfp-content .mfp-close:active,
				.event-list .event-listing .startdate,
				.give-form form#give-email-access-form .give-submit:hover,
				.give-form form#give-email-access-form .give-submit:focus,
				.give-form form#give-email-access-form .give-submit:active,
				.apus-pagination > span:hover, .apus-pagination > a:hover,
				.apus-pagination > span:hover, .apus-pagination > a:focus,
				.apus-pagination > span:hover, .apus-pagination > a:active,
				.apus-pagination > span.current, .apus-pagination > a.current,
				.give-list .give-list-middle .give-image .image-wrapper a:before,
				.apus-countdown  .times > div:after,
				.btn-readmore,			
				.event-list .event-listing .entry-thumb .image-wrapper:before,	
				.sidebar .widget-search form, .apus-sidebar .widget-search form,
				.comment-list .comment-reply-link,
				.related-posts .widget-title:after,
				.page-404 .btn:hover, .page-404 .viewmore-products-btn:hover,
				.page-404 .btn:focus, .page-404 .viewmore-products-btn:focus,
				.page-404 .btn:active, .page-404 .viewmore-products-btn:active,
				.elementor-image-gallery .gallery .gallery-item a:before,
				.detail-post .apus-social-share a:hover .bo-social-text:after,
				.detail-post .apus-social-share a:focus .bo-social-text:after,
				.detail-post .apus-social-share a:active .bo-social-text:after,
				.post .entry-description .entry-description-content .blog-meta-title-block:after,
				.sidebar .widget-search .btn, .sidebar .widget-search .viewmore-products-btn, .apus-sidebar .widget-search .btn, .apus-sidebar .widget-search .viewmore-products-btn,
				.main-menu.main-menu-2 .megamenu > li:hover > a:after, .main-menu.main-menu-2 .megamenu > li:focus > a:after, .main-menu.main-menu-2 .megamenu > li:active > a:after,
				.apus_login_register_form .form-acount .btn:hover, .apus_login_register_form .form-acount .viewmore-products-btn:hover, .apus_login_register_form .form-register .btn:hover, .apus_login_register_form .form-register .viewmore-products-btn:hover
				{
					background-color: <?php echo esc_html( crowdngo_get_config('main_color') ) ?> ;
				}
				
				.entry-thumb-overlay .entry-thumb a:before
				{
					background-color: <?php echo esc_html( crowdngo_get_config('main_color') ) ?> !important;
				}

				.apus-breadscrumb .page-bread-title span 
				{
					background-image: linear-gradient(<?php echo esc_html( crowdngo_get_config('main_color') ) ?>, <?php echo esc_html( crowdngo_get_config('main_color') ) ?>);					
				}

				/* setting color*/		
				a:hover, 
				a:focus,
				.btn-link,		
				.give-btn:hover,
				.give-btn:focus,
				.give-btn:active,
				.video-wrapper-inner .popup-video,					
				.apus-header-call-to-action a,
				.give-grid .donation-goal .value,
				.min-contact-form ul li a:hover,
				.min-contact-form ul li a:focus,
				.min-contact-form ul li a:active,
				.widget-nav-menu .menu li a:hover,
				.widget-nav-menu .menu li a:focus,
				.widget-nav-menu .menu li a:active,
				.event-grid .event-grid-content .time-location i,								
				.post-list-item-small .entry-title a:hover,
				.post-list-item-small .entry-title a:active,
				.post-list-item-small .entry-title a:focus,		
				.widget-social.st_small .social a:hover,
				.widget-social.st_small .social a:focus,
				.widget-social.st_small .social a:active,	
				.min-contact-form ul li.tel-icon a:hover,
				.min-contact-form ul li.tel-icon a:focus,
				.min-contact-form ul li.tel-icon a:active,				
				.apus-footer a:hover, .apus-footer a:focus, .apus-footer a:active,
				.detail-give .give_forms .give-goal-progress .donator-number:before,
				.apus-cta-phone a:hover,.apus-cta-phone a:focus,.apus-cta-phone a:active,	
				.widget-mailchimp.default .btn, .widget-mailchimp.default .viewmore-products-btn,
				.header_transparent .apus-header section.elementor-element.has-bkg .widget-social.st_small .social a:hover,
				.header_transparent .apus-header section.elementor-element.has-bkg .widget-social.st_small .social a:focus,
				.header_transparent .apus-header section.elementor-element.has-bkg .widget-social.st_small .social a:active,
				.header_transparent .apus-header section.elementor-element.has-bkg .wel-user:hover,
				.header_transparent .apus-header section.elementor-element.has-bkg .wel-user:focus,
				.header_transparent .apus-header section.elementor-element.has-bkg .wel-user:active,
				.button:hover, button:hover, input[type="button"]:hover, input[type="reset"]:hover, input[type="submit"]:hover,
				.button:active, button:active, input[type="button"]:active, input[type="reset"]:active, input[type="submit"]:active,
				.button:focus, button:focus, input[type="button"]:focus, input[type="reset"]:focus, input[type="submit"]:focus,
				.btn.btn-donate:hover, .btn-donate.viewmore-products-btn:hover,
				.btn.btn-donate:focus, .btn-donate.viewmore-products-btn:focus,
				.btn.btn-donate:active, .btn-donate.viewmore-products-btn:active,
				.donation-widget-event .event-grid.event-grid-modify .startdate-finishdate > div:before,
				.donation-widget-event .event-grid.event-grid-modify .event-address .fa,
				.layout-donation-list .give-list .donate-wrapper .donation-goal .text,
				.detail-give .give_forms .give-goal-progress .total-goal:before,
				.sidebar .give-list .donation-goal .text,
				.give-btn.give-submit:active,
				.give-btn.give-submit:hover,
				.give-btn.give-submit:focus,
				.post-grid-v3 .content .entry-date i,
				.post-layout .top-info > *.comments:before,
				.event-list .event-listing .time-location i,
				.detail-post .simple_event .metas .list-metas li i,
				.post-layout .top-info > *:last-child:before,
				.post-layout .top-info a:hover,
				.post-layout .top-info a:focus,
				.post-layout .top-info a:active,
				.list-contact-form-7 li a:hover,
				.list-contact-form-7 li a:focus,
				.list-contact-form-7 li a:active,
				.comment-list .comment-reply-link:hover,
				.comment-list .comment-reply-link:focus,
				.comment-list .comment-reply-link:active,
				.widget.widget_recent_entries ul li a:hover,
				.widget.widget_recent_entries ul li a:focus,
				.widget.widget_recent_entries ul li a:active,
				.widget.widget_recent_comments .recentcomments .comment-author-link + a:hover,
				.widget.widget_recent_comments .recentcomments .comment-author-link + a:focus,
				.widget.widget_recent_comments .recentcomments .comment-author-link + a:active,
				.btn-readmore:hover,.btn-readmore:focus,.btn-readmore:active,
				.entry-content-detail .top-info .list-categories a:hover,
				.entry-content-detail .top-info .list-categories a:focus,
				.entry-content-detail .top-info .list-categories a:active,
				.comment-form #submit:hover,.comment-form #submit:focus,.comment-form #submit:active,
				.widget.widget_custom_html .widget-custom-button .btn:hover, .widget.widget_custom_html .widget-custom-button .viewmore-products-btn:hover,
				.widget.widget_custom_html .widget-custom-button .btn:focus, .widget.widget_custom_html .widget-custom-button .viewmore-products-btn:focus,
				.widget.widget_custom_html .widget-custom-button .btn:active, .widget.widget_custom_html .widget-custom-button .viewmore-products-btn:active,
				.widget.widget_custom_html .widget-custom-button .btn:after, .widget.widget_custom_html .widget-custom-button .viewmore-products-btn:after,
				.widget_meta ul li.current-cat-parent:hover, .widget_meta ul li.current-cat:hover, .widget_meta ul li a:hover, .widget_archive ul li.current-cat-parent:hover, .widget_archive ul li.current-cat:hover, .widget_archive ul li a:hover, .widget_recent_entries ul li.current-cat-parent:hover, .widget_recent_entries ul li.current-cat:hover, .widget_recent_entries ul li a:hover, .widget_categories ul li.current-cat-parent:hover, .widget_categories ul li.current-cat:hover, .widget_categories ul li a:hover, .widget_pages ul li.current-cat-parent:hover, .widget_pages ul li.current-cat:hover, .widget_pages ul li a:hover, .widget_nav_menu ul li.current-cat-parent:hover, .widget_nav_menu ul li.current-cat:hover, .widget_nav_menu ul li a:hover,
				.widget_meta ul li.current-cat-parent:focus, .widget_meta ul li.current-cat:focus, .widget_meta ul li a:focus, .widget_archive ul li.current-cat-parent:focus, .widget_archive ul li.current-cat:focus, .widget_archive ul li a:focus, .widget_recent_entries ul li.current-cat-parent:focus, .widget_recent_entries ul li.current-cat:focus, .widget_recent_entries ul li a:focus, .widget_categories ul li.current-cat-parent:focus, .widget_categories ul li.current-cat:focus, .widget_categories ul li a:focus, .widget_pages ul li.current-cat-parent:focus, .widget_pages ul li.current-cat:focus, .widget_pages ul li a:focus, .widget_nav_menu ul li.current-cat-parent:focus, .widget_nav_menu ul li.current-cat:focus, .widget_nav_menu ul li a:focus,
				.widget_meta ul li.current-cat-parent:active, .widget_meta ul li.current-cat:active, .widget_meta ul li a:active, .widget_archive ul li.current-cat-parent:active, .widget_archive ul li.current-cat:active, .widget_archive ul li a:active, .widget_recent_entries ul li.current-cat-parent:active, .widget_recent_entries ul li.current-cat:active, .widget_recent_entries ul li a:active, .widget_categories ul li.current-cat-parent:active, .widget_categories ul li.current-cat:active, .widget_categories ul li a:active, .widget_pages ul li.current-cat-parent:active, .widget_pages ul li.current-cat:active, .widget_pages ul li a:active, .widget_nav_menu ul li.current-cat-parent:active, .widget_nav_menu ul li.current-cat:active, .widget_nav_menu ul li a:active
				{
					color: <?php echo esc_html( crowdngo_get_config('main_color') ) ?>;
				}

				/* setting border color*/				
				.border-theme,
				.wel-user:hover,				
				.btn-theme, 
				.give-btn,
				.viewmore-products-btn,
				.btn-theme:hover,
				.btn-theme:active,
				.btn-theme:focus,
				.viewmore-products-btn:hover,
				.viewmore-products-btn:active,
				.viewmore-products-btn:focus,
				.widget-testimonials.box .description,
				select:focus,select:hover,select:active,
				.btn.btn-donate, .btn-donate.viewmore-products-btn,
				.top-wrapper-menu.style2 .wel-user,		
				.give-btn.give-submit,
				.give-btn.give-submit:active,
				.give-btn.give-submit:hover,
				.give-btn.give-submit:focus,
				.author-info,
				.post-grid-v1:hover,
				.comment-list .comment-reply-link,	
				.post-grid-v3:hover,			
				.event-list .event-listing:hover,
				.layout-donation-list .give-list .give-list-middle:hover,
				.give-grid .give-grid-container:hover,
				.page-404 .btn, .page-404 .viewmore-products-btn,
				.page-404 .btn:hover, .page-404 .viewmore-products-btn:hover,
				.page-404 .btn:focus, .page-404 .viewmore-products-btn:focus,
				.page-404 .btn:active, .page-404 .viewmore-products-btn:active,
				.comment-form-cookies-consent [type="checkbox"]:checked ~ label:before,		
				.widget-testimonials .testimonials-item:hover .description,
				.widget-testimonials .testimonials-item:focus .description,
				.widget-testimonials .testimonials-item:active .description,
				.btn-readmore:hover,.btn-readmore:focus,.btn-readmore:active,
				form[id*="give-form"] .give-payment-mode-label .give-loading-animation:before,
				.button, button, input[type="button"], input[type="reset"], input[type="submit"],
				.apus_login_register_form .action-login .form-group label input:checked ~ span:before,		
				.sidebar .widget-search .form-control, .apus-sidebar .widget-search .form-control,		
				.apus-header .apus-search-form form .btn:hover, .apus-header .apus-search-form form .viewmore-products-btn:hover,
				.apus-header .apus-search-form form .btn:focus, .apus-header .apus-search-form form .viewmore-products-btn:focus,
				.apus-header .apus-search-form form .btn:active, .apus-header .apus-search-form form .viewmore-products-btn:active,
				input[type="text"]:hover, input[type="email"]:hover, input[type="url"]:hover, input[type="password"]:hover, input[type="search"]:hover, input[type="number"]:hover, input[type="tel"]:hover, input[type="range"]:hover, input[type="date"]:hover, input[type="month"]:hover, input[type="week"]:hover, input[type="time"]:hover, input[type="datetime"]:hover, input[type="datetime-local"]:hover, input[type="color"]:hover, textarea:hover,
				input[type="text"]:focus, input[type="email"]:focus, input[type="url"]:focus, input[type="password"]:focus, input[type="search"]:focus, input[type="number"]:focus, input[type="tel"]:focus, input[type="range"]:focus, input[type="date"]:focus, input[type="month"]:focus, input[type="week"]:focus, input[type="time"]:focus, input[type="datetime"]:focus, input[type="datetime-local"]:focus, input[type="color"]:focus, textarea:focus,
				input[type="text"]:active, input[type="email"]:active, input[type="url"]:active, input[type="password"]:active, input[type="search"]:active, input[type="number"]:active, input[type="tel"]:active, input[type="range"]:active, input[type="date"]:active, input[type="month"]:active, input[type="week"]:active, input[type="time"]:active, input[type="datetime"]:active, input[type="datetime-local"]:active, input[type="color"]:active, textarea:active
				{
					border-color: <?php echo esc_html( crowdngo_get_config('main_color') ) ?> !important;
				}			

				.widget-testimonials .testimonials-item:hover .info .avarta:before,
				.widget-testimonials .testimonials-item:active .info .avarta:before,
				.widget-testimonials .testimonials-item:focus .info .avarta:before,
				.widget-testimonials.box .avarta:before,
				.sidebar .widget .widget-title, .sidebar .widget .widgettitle, .sidebar .widget .widget-heading, 
				.apus-sidebar .widget .widget-title, .apus-sidebar .widget .widgettitle, .apus-sidebar .widget .widget-heading
				{
					border-bottom-color: <?php echo esc_html( crowdngo_get_config('main_color') ) ?>;
				}	
				
				.raised,
				.text-theme				
				{
					color: <?php echo esc_html( crowdngo_get_config('main_color') ) ?> !important;
				}
				.apus-checkout-step li.active .inner:after {
					border-color: #fff <?php echo esc_html( crowdngo_get_config('main_color') ) ?>;
				}
			<?php endif; ?>

			<?php if ( crowdngo_get_config('button_color') != "" ) : ?>
				/* seting background main */
				.viewmore-products-btn, .woocommerce .wishlist_table td.product-add-to-cart a, .woocommerce .return-to-shop .button, .woocommerce .track_order .button, .woocommerce #respond input#submit,
				.btn-theme
				{
					background-color: <?php echo esc_html( crowdngo_get_config('button_color') ) ?> ;
					border-color: <?php echo esc_html( crowdngo_get_config('button_color') ) ?> ;
				}
				.woocommerce div.product form.cart .button,
				.product-block-list .add-cart .added_to_cart, .product-block-list .add-cart a.button,
				.btn-theme.btn-outline{
					border-color: <?php echo esc_html( crowdngo_get_config('button_color') ) ?> ;
					color: <?php echo esc_html( crowdngo_get_config('button_color') ) ?> ;
				}
			<?php endif; ?>
			<?php if ( crowdngo_get_config('button_hover_color') != "" ) : ?>
				/* seting background main */
				.viewmore-products-btn:hover, .woocommerce .wishlist_table td.product-add-to-cart a:hover, .woocommerce .return-to-shop .button:hover, .woocommerce .track_order .button:hover, .woocommerce #respond input#submit:hover,
				.woocommerce div.product form.cart .button:hover, .woocommerce div.product form.cart .button:focus,
				.details-product .information .compare:hover, .details-product .information .compare:focus,
				.btn-theme:hover,
				.btn-theme:focus,
				.product-block-list .compare.added, .product-block-list .compare:hover, .product-block-list .compare:focus,
				.product-block-list .add-cart .added_to_cart:hover, .product-block-list .add-cart .added_to_cart:focus, .product-block-list .add-cart a.button:hover, .product-block-list .add-cart a.button:focus,
				.btn-theme.btn-outline:hover,
				.btn-theme.btn-outline:focus{
					border-color: <?php echo esc_html( crowdngo_get_config('button_hover_color') ) ?> ;
					background-color: <?php echo esc_html( crowdngo_get_config('button_hover_color') ) ?> ;
				}
			<?php endif; ?>
	<?php
		$content = ob_get_clean();
		$content = str_replace(array("\r\n", "\r"), "\n", $content);
		$lines = explode("\n", $content);
		$new_lines = array();
		foreach ($lines as $i => $line) {
			if (!empty($line)) {
				$new_lines[] = trim($line);
			}
		}
		
		return implode($new_lines);
	}
}