<?php

// Donations
function crowdngo_give_redux_config($sections, $sidebars, $columns) {
    
    // Donations settings
    $sections[] = array(
        'icon' => 'el el-pencil',
        'title' => esc_html__('Donation', 'crowdngo'),
        'fields' => array(
            array(
                'id' => 'show_donation_breadcrumbs',
                'type' => 'switch',
                'title' => esc_html__('Breadcrumbs', 'crowdngo'),
                'default' => 1
            ),
            array (
                'title' => esc_html__('Breadcrumbs Background Color', 'crowdngo'),
                'subtitle' => '<em>'.esc_html__('The breadcrumbs background color of the site.', 'crowdngo').'</em>',
                'id' => 'donation_breadcrumb_color',
                'type' => 'color',
                'transparent' => false,
            ),
            array(
                'id' => 'donation_breadcrumb_image',
                'type' => 'media',
                'title' => esc_html__('Breadcrumbs Background', 'crowdngo'),
                'subtitle' => esc_html__('Upload a .jpg or .png image that will be your breadcrumbs.', 'crowdngo'),
            ),
        )
    );
    // Archive Donations settings
    $sections[] = array(
        'subsection' => true,
        'title' => esc_html__('Donation & Post Archives', 'crowdngo'),
        'fields' => array(
            array(
                'id' => 'donation_archive_layout',
                'type' => 'image_select',
                'compiler' => true,
                'title' => esc_html__('Layout', 'crowdngo'),
                'subtitle' => esc_html__('Select the variation you want to apply on your store.', 'crowdngo'),
                'options' => array(
                    'main' => array(
                        'title' => 'Main Only',
                        'alt' => 'Main Only',
                        'img' => get_template_directory_uri() . '/inc/assets/images/screen1.png'
                    ),
                    'left-main' => array(
                        'title' => 'Left - Main Sidebar',
                        'alt' => 'Left - Main Sidebar',
                        'img' => get_template_directory_uri() . '/inc/assets/images/screen2.png'
                    ),
                    'main-right' => array(
                        'title' => 'Main - Right Sidebar',
                        'alt' => 'Main - Right Sidebar',
                        'img' => get_template_directory_uri() . '/inc/assets/images/screen3.png'
                    )
                ),
                'default' => 'left-main'
            ),
            array(
                'id' => 'donation_archive_fullwidth',
                'type' => 'switch',
                'title' => esc_html__('Is Full Width?', 'crowdngo'),
                'default' => false
            ),
            array(
                'id' => 'donation_archive_left_sidebar',
                'type' => 'select',
                'title' => esc_html__('Archive Left Sidebar', 'crowdngo'),
                'subtitle' => esc_html__('Choose a sidebar for left sidebar.', 'crowdngo'),
                'options' => $sidebars
            ),
            array(
                'id' => 'donation_archive_right_sidebar',
                'type' => 'select',
                'title' => esc_html__('Archive Right Sidebar', 'crowdngo'),
                'subtitle' => esc_html__('Choose a sidebar for right sidebar.', 'crowdngo'),
                'options' => $sidebars
                
            ),
            array(
                'id' => 'donation_display_mode',
                'type' => 'select',
                'title' => esc_html__('Display Mode', 'crowdngo'),
                'options' => array(
                    'grid' => esc_html__('Grid Layout', 'crowdngo'),
                    'list' => esc_html__('List Layout', 'crowdngo'),
                ),
                'default' => 'grid'
            ),
            array(
                'id' => 'donation_columns',
                'type' => 'select',
                'title' => esc_html__('Grid Donation Columns', 'crowdngo'),
                'options' => $columns,
                'default' => 4,
                'required' => array('donation_display_mode', '=', 'grid'),
            ),
            array(
                'id' => 'number_donations_per_page',
                'type' => 'text',
                'title' => esc_html__('Number of donation Per Page', 'crowdngo'),
                'default' => 12,
                'min' => '1',
                'step' => '1',
                'max' => '100',
                'type' => 'slider'
            ),
        )
    );
    // Single Donations settings
    $sections[] = array(
        'subsection' => true,
        'title' => esc_html__('Donation', 'crowdngo'),
        'fields' => array(
            
            array(
                'id' => 'donation_single_layout',
                'type' => 'image_select',
                'compiler' => true,
                'title' => esc_html__('Archive Donation Layout', 'crowdngo'),
                'subtitle' => esc_html__('Select the variation you want to apply on your store.', 'crowdngo'),
                'options' => array(
                    'main' => array(
                        'title' => 'Main Only',
                        'alt' => 'Main Only',
                        'img' => get_template_directory_uri() . '/inc/assets/images/screen1.png'
                    ),
                    'left-main' => array(
                        'title' => 'Left - Main Sidebar',
                        'alt' => 'Left - Main Sidebar',
                        'img' => get_template_directory_uri() . '/inc/assets/images/screen2.png'
                    ),
                    'main-right' => array(
                        'title' => 'Main - Right Sidebar',
                        'alt' => 'Main - Right Sidebar',
                        'img' => get_template_directory_uri() . '/inc/assets/images/screen3.png'
                    )
                ),
                'default' => 'left-main'
            ),
            array(
                'id' => 'donation_single_fullwidth',
                'type' => 'switch',
                'title' => esc_html__('Is Full Width?', 'crowdngo'),
                'default' => false
            ),
            array(
                'id' => 'donation_single_left_sidebar',
                'type' => 'select',
                'title' => esc_html__('Single Donation Left Sidebar', 'crowdngo'),
                'subtitle' => esc_html__('Choose a sidebar for left sidebar.', 'crowdngo'),
                'options' => $sidebars
            ),
            array(
                'id' => 'donation_single_right_sidebar',
                'type' => 'select',
                'title' => esc_html__('Single Donation Right Sidebar', 'crowdngo'),
                'subtitle' => esc_html__('Choose a sidebar for right sidebar.', 'crowdngo'),
                'options' => $sidebars
            ),
            array(
                'id' => 'show_donation_social_share',
                'type' => 'switch',
                'title' => esc_html__('Show Social Share', 'crowdngo'),
                'default' => 1
            ),
            array(
                'id' => 'show_donation_releated',
                'type' => 'switch',
                'title' => esc_html__('Show Releated Posts', 'crowdngo'),
                'default' => 1
            ),
            array(
                'id' => 'number_donation_releated',
                'type' => 'text',
                'title' => esc_html__('Number of related posts to show', 'crowdngo'),
                'required' => array('show_donation_releated', '=', '1'),
                'default' => 4,
                'min' => '1',
                'step' => '1',
                'max' => '20',
                'type' => 'slider'
            ),
            array(
                'id' => 'releated_donation_columns',
                'type' => 'select',
                'title' => esc_html__('Releated Donations Columns', 'crowdngo'),
                'required' => array('show_donation_releated', '=', '1'),
                'options' => $columns,
                'default' => 4
            ),
        )
    );
    
    return $sections;
}
add_filter( 'crowdngo_redux_framwork_configs', 'crowdngo_give_redux_config', 10, 3 );