<?php

function crowdngo_give_get_donations($type, $number){
	$args = array(
		'post_type'      => 'give_forms',
		'post_status'    => 'publish',
		'posts_per_page' => $number
	);

	if ( $type == 'featured' ) {
		$args['meta_query'] =  array(
	       	array(
	           'key' => 'apus_give_donation_type',
	           'value' => 'featured',
	           'compare' => '=',
	       	)
		);
	} elseif ( $type == 'popular' ) {
		$args['meta_query'] =  array(
	       	array(
	           'key' => 'apus_give_donation_type',
	           'value' => 'popular',
	           'compare' => '=',
	       	)
		);
	}
	$loop = new WP_Query( $args );
	return $loop;
}

function crowdngo_give_get_donation_form( $args = array() ) {
    remove_action( 'give_checkout_form_top', 'give_show_goal_progress', 10, 2 );
	give_get_donation_form( $args );
}

if ( !function_exists('crowdngo_donation_content_class') ) {
	function crowdngo_donation_content_class( $class ) {
		$page = 'archive';
		if ( is_singular( 'post' ) ) {
            $page = 'single';
        }
		if ( crowdngo_get_config('donation_'.$page.'_fullwidth') ) {
			return 'container-fluid';
		}
		return $class;
	}
}
add_filter( 'crowdngo_donation_content_class', 'crowdngo_donation_content_class', 1 , 1  );


if ( !function_exists('crowdngo_get_donation_layout_configs') ) {
	function crowdngo_get_donation_layout_configs() {
		$page = 'archive';
		if ( is_singular( 'give_forms' ) ) {
            $page = 'single';
        }
		$left = crowdngo_get_config('donation_'.$page.'_left_sidebar');
		$right = crowdngo_get_config('donation_'.$page.'_right_sidebar');

		switch ( crowdngo_get_config('donation_'.$page.'_layout') ) {
		 	case 'left-main':
		 		$configs['left'] = array( 'sidebar' => $left, 'class' => 'col-md-4 col-sm-12 col-xs-12'  );
		 		$configs['main'] = array( 'class' => 'col-md-8 col-sm-12 col-xs-12 pull-right' );
		 		break;
		 	case 'main-right':
		 		$configs['right'] = array( 'sidebar' => $right,  'class' => 'col-md-4 col-sm-12 col-xs-12 pull-right' ); 
		 		$configs['main'] = array( 'class' => 'col-md-8 col-sm-12 col-xs-12' );
		 		break;
	 		case 'main':
		 	default:
		 		$configs['main'] = array( 'class' => 'col-md-12 col-sm-12 col-xs-12' );
		 		break;
		}

		return $configs; 
	}
}

// add comment for room type
add_post_type_support( 'give_forms', 'comments' );

// comment template
function crowdngo_room_comments_template_loader($template) {
    if ( get_post_type() !== 'give_forms' ) {
        return $template;
    }
    return $template;
}
add_filter( 'comments_template', 'crowdngo_room_comments_template_loader' );


// remove
remove_action( 'give_pre_form_output', 'give_form_content', 10, 2 );
remove_action( 'give_pre_form', 'give_show_goal_progress', 10, 2 );
remove_action( 'give_pre_form', 'give_show_goal_totals_progress', 10, 2 );

function crowdngo_give_display_sales() {
	$form = new Give_Donate_Form( get_the_ID() );
	$sales = $form->get_sales();
	if ($sales) {
		echo '<div class="donator-number">';
		echo sprintf(_n( '<strong>%d</strong> supporter', '<strong>%d</strong> supporters', $sales, 'crowdngo' ), $sales);
		echo '</div>';
	}
}


add_action( 'pre_get_posts', 'crowdngo_give_archive' );
add_action( 'pre_get_posts', 'crowdngo_give_taxonomy' );
function crowdngo_give_archive($query) {
    $suppress_filters = ! empty( $query->query_vars['suppress_filters'] ) ? $query->query_vars['suppress_filters'] : '';

    if ( ! is_post_type_archive( 'give_forms' ) || ! $query->is_main_query() || is_admin() || $query->query_vars['post_type'] != 'give_forms' || $suppress_filters ) {
        return;
    }

    $limit = crowdngo_get_config('number_donations_per_page', 10);
    $query_vars = &$query->query_vars;
    $query_vars['posts_per_page'] = $limit;
    $query->query_vars = $query_vars;
    
    return $query;
}

function crowdngo_give_taxonomy($query) {
    $is_correct_taxonomy = false;
    if ( is_tax( 'give_forms_category' ) || is_tax( 'give_forms_tag' ) || apply_filters( 'wp-job-board-job-query-taxonomy', false ) ) {
        $is_correct_taxonomy = true;
    }

    if ( ! $is_correct_taxonomy  || ! $query->is_main_query() || is_admin() ) {
        return;
    }

    $limit = crowdngo_get_config('number_donations_per_page', 10);
    $query_vars = $query->query_vars;
    $query_vars['posts_per_page'] = $limit;
    $query->query_vars = $query_vars;

    return $query;
}