<?php

class Crowdngo_Widget_Event extends Apus_Widget {
    public function __construct() {
        parent::__construct(
            'apus_widget_event',
            esc_html__('Apus Events Widget', 'crowdngo'),
            array( 'description' => esc_html__( 'Show list of events', 'crowdngo' ), )
        );
        $this->widgetName = 'widget_event';
    }

    public function getTemplate() {
        $this->template = 'event.php';
    }

    public function widget( $args, $instance ) {
        $this->display($args, $instance);
    }
    
    public function form( $instance ) {
        $defaults = array(
            'title' => 'Latest Event',
            'layout' => 'default' ,
            'number_post' => '4',
            'event_type' => 'post'
        );
        $instance = wp_parse_args((array) $instance, $defaults);
        // Widget admin form
        $types = array(
            'latest' => esc_html__('Latest event', 'crowdngo'),
            'upcoming' => esc_html__('Upcoming event', 'crowdngo'),
        );
        ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><?php esc_html_e( 'Title:', 'crowdngo' ); ?></label>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" type="text" value="<?php echo esc_attr( $instance['title'] ); ?>" />
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('event_type')); ?>">
                <?php echo esc_html__('Type:', 'crowdngo' ); ?>
            </label>
            <br>
            <select id="<?php echo esc_attr($this->get_field_id('event_type')); ?>" name="<?php echo esc_attr($this->get_field_name('event_type')); ?>">
                <?php foreach ($types as $key => $value) { ?>
                    <option value="<?php echo esc_attr( $key ); ?>" <?php selected($instance['event_type'],$key); ?> ><?php echo esc_html( $value ); ?></option>
                <?php } ?>
            </select>
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id( 'number_post' )); ?>"><?php esc_html_e( 'Num Events:', 'crowdngo' ); ?></label>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'number_post' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'number_post' )); ?>" type="text" value="<?php echo esc_attr($instance['number_post']); ?>" />
        </p>
<?php
    }

    public function update( $new_instance, $old_instance ) {
        $instance = array();
        $instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
        $instance['event_type'] = $new_instance['event_type'];
        $instance['number_post'] = ( ! empty( $new_instance['number_post'] ) ) ? strip_tags( $new_instance['number_post'] ) : '';
        $instance['layout'] = ( ! empty( $new_instance['layout'] ) ) ? $new_instance['layout'] : 'default';
        return $instance;

    }
}
if ( function_exists('apus_framework_reg_widget') ) {
    apus_framework_reg_widget('Crowdngo_Widget_Event');
}