<?php $thumbsize = !isset($thumbsize) ? crowdngo_get_config( 'blog_item_thumbsize', 'crowdngo-event-list' ) : $thumbsize;?>
<article <?php post_class('post post-layout post-grid-v3'); ?>>

    <?php if ( has_post_thumbnail() ) {
        $thumb = crowdngo_display_post_thumb($thumbsize);            
    ?>
        <div class="entry-thumb-overlay">                
            <?php echo trim($thumb); ?>
        </div>
    <?php } ?>

    <?php if ( is_sticky() && is_home() && ! is_paged() ) : ?>
        <span class="post-sticky"><?php echo esc_html__('Featured','crowdngo'); ?></span>
    <?php endif; ?>

    <div class="content">    
        <div class="entry-date">
            <i class="fa fa-calendar-o"></i>                
            <span><?php the_time( get_option('date_format', 'd M, Y') ); ?></span>            
        </div>    
        <?php if (get_the_title()) { ?>
            <h4 class="title">
                <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
            </h4>
        <?php } ?>
        <div class="description"><?php echo crowdngo_substring( get_the_excerpt(), 16, '...' ); ?></div>      
        <div class="entry-button-link">
            <a class="btn btn-readmore" href="<?php the_permalink(); ?>"><?php esc_html_e('Read more', 'crowdngo'); ?></a>    
        </div>        
    </div>
</article>