<?php 
    $thumbsize = !isset($thumbsize) ? crowdngo_get_config( 'blog_item_thumbsize', 'full' ) : $thumbsize;
    $thumb = crowdngo_display_post_thumb($thumbsize);
?>
<article <?php post_class('post post-layout post-grid-v1'); ?>>     
    <div class="row post-list-item-large flex-middle">
        <?php
        $bcol = 12;
        if ( has_post_thumbnail() ) {
            $bcol = 7;
            $thumb = crowdngo_display_post_thumb($thumbsize);
        ?>
            <div class="col-lg-5 col-md-5 col-sm-5 col-xs-12">
                <div class="entry-post-image">
                    <?php if ( is_sticky() && is_home() && ! is_paged() ) : ?>
                        <span class="post-sticky"><?php echo esc_html__('Featured','crowdngo'); ?></span>
                    <?php endif; ?>
                    
                        <div class="entry-thumb-overlay">                
                            <?php echo trim($thumb); ?>
                        </div>
                    
                </div>
            </div>
        <?php } ?>
        <div class="col-sm-<?php echo esc_attr($bcol); ?> col-xs-12">
            <div class="entry-post-content">
                <?php if (get_the_title()) { ?>
                    <h4 class="entry-title">
                        <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                    </h4>
                <?php } ?>
                <div class="top-info">            
                    <span class="comments"><?php comments_number( esc_html__('0 Comments', 'crowdngo'), esc_html__('1 Comment', 'crowdngo'), esc_html__('% Comments', 'crowdngo') ); ?></span>
                    <span><?php the_time( get_option('date_format', 'd M, Y') ); ?></span>
                </div>
                <div class="description"><?php echo crowdngo_substring( get_the_excerpt(),20, '...' ); ?></div>
                <div class="entry-button-link">        
                    <div class="link-button-wrap">
                        <a class="btn-readmore" href="<?php the_permalink(); ?>"><?php esc_html_e('Read More', 'crowdngo'); ?></a>
                    </div>
                </div>                 
            </div>
        </div>
    </div>
</article>
