<?php
	$thumbsize = isset($thumbsize) ? $thumbsize : 'crowdngo-event-list';
	$event = apussimpleevent_event( get_the_ID() );
	$metas = $event->getMetaFullInfo();
	$startdate = isset($metas['startdate']) ? $metas['startdate']['value'] : '';
	$finishdate = isset($metas['finishdate']) ? $metas['finishdate']['value'] : '';
	$time = isset($metas['time']) ? $metas['time']['value'] : '';
	$address = isset($metas['address']) ? $metas['address']['value'] : '';
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('event-list'); ?>>
	<div class="event-container event-listing">
		<div class="flex-middle row"> 
			<div class="col-lg-5 col-md-5 col-sm-12 col-xs-12"> 
				<div class="event-post-thumbnail">
					<?php if ( has_post_thumbnail() ) {
						$thumb = crowdngo_display_post_thumb($thumbsize);
					?>
							<?php echo wp_kses_post($thumb); ?>
					<?php } ?>

					<?php if ( $startdate ) { ?>
						<div class="startdate hide">
							<span class="day"><?php echo date('d', $startdate); ?></span>
							<span class="month"><?php echo date('M', $startdate); ?></span>
						</div>
					<?php } ?>	

				</div>		
			</div>
			<div class="col-lg-7 col-md-7 col-sm-12 col-xs-12"> 
				<div class="event-metas">
					<?php the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' ); ?>
					<div class="description"><?php echo crowdngo_substring( get_the_excerpt(), 20, '...' ); ?></div>
					<?php if ( !empty($time) || !empty($address) ) { ?>
						<div class="time-location">
							<?php if ( !empty($startdate) || !empty($finishdate) ) { ?>
								<div class="event-date">
									<i class="fa fa-calendar"></i> 
									<span><?php echo esc_html__('Date:', 'crowdngo'); ?></span>
									<span class="date">
										<?php if ( !empty($startdate) ) { ?>
											<?php echo date( get_option( 'date_format' ), $startdate); ?>
										<?php } ?>
										<?php if ( !empty($finishdate) ) { ?>
											- <?php echo date( get_option( 'date_format' ), $finishdate); ?>
										<?php } ?>
									</span>
								</div>
							<?php } ?>

							<div class="event-listing-flex">
								<?php if ( !empty($time) ) { ?>
									<div class="event-time">
										<i class="fa fa-clock-o"></i> 
										<span><?php echo esc_html__('Time:', 'crowdngo'); ?></span>
										<?php echo esc_html($time); ?>
									</div>
								<?php } ?>
							</div>							
						</div>
					<?php } ?>		
				</div>
			</div>
		</div>
	</div>
</article>