<?php
	$thumbsize = isset($thumbsize) ? $thumbsize : '1200x583';
	$event = apussimpleevent_event( get_the_ID() );
	$metas = $event->getMetaFullInfo();
	$startdate = isset($metas['startdate']) ? $metas['startdate']['value'] : '';
	$time = isset($metas['time']) ? $metas['time']['value'] : '';
	$address = isset($metas['address']) ? $metas['address']['value'] : '';
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('event-grid'); ?>>
	
	<div class="event-thumb">
		<?php if ( has_post_thumbnail() ) {
			$thumb = crowdngo_display_post_thumb($thumbsize);
		?>
				<?php echo wp_kses_post($thumb); ?>
		<?php } ?>

		<div class="event-grid-content">
			<?php if ( $startdate ) { ?>
				<div class="startdate">
					<div class="startdate-wrapper">
						<div class="day"><?php echo date('d', $startdate); ?></div>
						<div class="month"><span><?php echo date('M', $startdate); ?></span><span><?php echo date('Y', $startdate); ?></span></div>											
					</div>
				</div>
			<?php } ?>
			<div class="event-metas">
				<?php if ( !empty($time) || !empty($address) ) { ?>
					<div class="time-location">
						<?php if ( !empty($time) ) { ?>
							<div class="event-time">
								<i class="fa fa-calendar"></i><?php echo esc_html($time); ?>							
							</div>
						<?php } ?>
						<?php if ( !empty($address) ) { ?>
							<div class="event-address">
								<i class="fa fa-envelope-o"></i><?php echo esc_html($address); ?>
							</div>
						<?php } ?>
					</div>
				<?php } ?>
				<?php the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' ); ?>
			</div>
		</div>
	</div>
</article>