<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

get_header();

$sidebar_configs = crowdngo_get_event_layout_configs();
crowdngo_render_breadcrumbs();
?>
<section id="main-container" class="main-content single-envent-content <?php echo apply_filters( 'crowdngo_event_content_class', 'container' ); ?> inner">
	<?php crowdngo_before_content( $sidebar_configs ); ?>
	<div class="row">
		<?php crowdngo_display_sidebar_left( $sidebar_configs ); ?>
		<div id="main-content" class="col-xs-12 <?php echo esc_attr($sidebar_configs['main']['class']); ?>">
			<div id="primary" class="content-area">
				<div id="content" class="site-content detail-post" role="main">
					<?php while ( have_posts() ) : the_post(); $event = apussimpleevent_event( get_the_ID() ); ?>
						<?php
							$info = $event->getMetaFullInfo();							
							$startdate = !empty($info['startdate']['value']) ? $info['startdate']['value'] : '';
							$finishdate = !empty($info['finishdate']['value']) ? $info['finishdate']['value'] : '';
							$time = !empty($info['time']['value']) ? $info['time']['value'] : '';
							$address = !empty($info['address']['value']) ? $info['address']['value'] : '';
							$price = !empty($info['price']['value']) ? $info['price']['value'] : '';
						?>
						<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
							
							<div class="post-thumbnail">
								<div class="event-single-thumbnail">
									<?php the_post_thumbnail(); ?>		
								</div>
							</div>
							<?php if ($startdate): ?>
								<div class="apus-countdown" data-time="timmer"
							        data-date="<?php echo date('m',$startdate).'-'.date('d',$startdate).'-'.date('Y',$startdate).'-'. date('H',$startdate) . '-' . date('i',$startdate) . '-' .  date('s',$startdate) ; ?>">
							    </div>
							<?php endif; ?>
							<div class="metas">
								<ul class="list-metas">
									<?php if ( !empty($address) ) { ?>
										<li><i class="fa fa-map-marker"></i><span><?php echo esc_html($address); ?></span></li>
									<?php } ?>
									<?php if ( !empty($startdate) ) { ?>
										<li><i class="fa fa-clock-o"></i><span><?php echo date(get_option('date_format'), $startdate); ?>
											<?php  if ( !empty($time) ) { echo esc_html($time); } ?>
										</span></li>
									<?php } ?>
									<?php if ( !empty($price) ) { ?>
										<li><i class="fa fa-money"></i><span><?php echo esc_html($price); ?></span></li>
									<?php } ?>
								</ul>
							</div>
							<h2 class="entry-title"><span><?php the_title(); ?></span></h2>

							<div class="entry-content">
								<?php the_content(); ?>
							</div>

							<div class="entry-content">
								<h3 class="entry-title-small"><?php esc_html_e('Event Location', 'crowdngo'); ?></h3>
								<div id="apus-google-map" class="apus-google-map" data-lat="<?php echo esc_attr(!empty($map['latitude']) ? $map['latitude'] : ''); ?>" data-lng="<?php echo esc_attr(!empty($map['longitude']) ? $map['longitude'] : ''); ?>" data-zoom="13" style="height: 100px;"></div>
							</div>
							<?php if ( crowdngo_get_config('show_event_social_share', false) ) { ?>
								<div class="social-share">
									<div class="label"><?php esc_html_e('Share:', 'crowdngo'); ?></div>
		        					<?php get_template_part( 'template-parts/sharebox' ); ?>
		        				</div>
		        			<?php } ?>		       
		        			
		        			<?php get_template_part( 'template-parts/author-bio' ); ?>

							<?php
							if ( comments_open() || get_comments_number() ) :
								comments_template();
							endif;
							?>
						</article>
					<?php endwhile; ?>

					<?php the_posts_pagination( array(
						'prev_text'          => esc_html__( 'Previous page', 'crowdngo' ),
						'next_text'          => esc_html__( 'Next page', 'crowdngo' ),
						'before_page_number' => '<span class="meta-nav screen-reader-text">' . esc_html__( 'Page', 'crowdngo' ) . ' </span>',
					) ); ?>
				</div><!-- #content -->
			</div><!-- #primary -->
		</div>	
		
		<?php crowdngo_display_sidebar_right( $sidebar_configs ); ?>
		
	</div>	
</section>
<?php get_footer();